from narval.public import AL_NS

plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'failed')
# check steps'state
assert_equals(plan.elements['step1'].state, 'done')
assert_equals(plan.elements['tr1'].state, 'impossible')
assert_equals(plan.elements['step2'].state, 'impossible')

